summaryrefslogtreecommitdiff
path: root/dev-python/evdev/evdev-1.6.0.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-02-19 06:32:41 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-02-19 06:32:41 +0000
commitc31f1a022b2f687ac286f8e5215e41f8d767d42a (patch)
tree7e2d2ff7e8330abed0e5a5414fd0d910cd444d96 /dev-python/evdev/evdev-1.6.0.ebuild
parent8d804a5ee67cfc27f54bccace39438508d801a48 (diff)
downloadbaldeagleos-repo-c31f1a022b2f687ac286f8e5215e41f8d767d42a.tar.gz
baldeagleos-repo-c31f1a022b2f687ac286f8e5215e41f8d767d42a.tar.xz
baldeagleos-repo-c31f1a022b2f687ac286f8e5215e41f8d767d42a.zip
Adding metadata
Diffstat (limited to 'dev-python/evdev/evdev-1.6.0.ebuild')
-rw-r--r--dev-python/evdev/evdev-1.6.0.ebuild44
1 files changed, 44 insertions, 0 deletions
diff --git a/dev-python/evdev/evdev-1.6.0.ebuild b/dev-python/evdev/evdev-1.6.0.ebuild
new file mode 100644
index 000000000000..4404ab1fe36d
--- /dev/null
+++ b/dev-python/evdev/evdev-1.6.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1
+
+MY_P=python-evdev-${PV}
+DESCRIPTION="Python library for evdev bindings"
+HOMEPAGE="
+ https://python-evdev.readthedocs.io/
+ https://github.com/gvalkov/python-evdev/
+ https://pypi.org/project/evdev/
+"
+SRC_URI="
+ https://github.com/gvalkov/python-evdev/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 ~arm ~arm64 x86"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ tests/test_uinput.py
+)
+
+python_configure_all() {
+ esetup.py build_ecodes \
+ --evdev-headers \
+ "${ESYSROOT}/usr/include/linux/input.h:${ESYSROOT}/usr/include/linux/input-event-codes.h"
+}
+
+src_test() {
+ cd tests || die
+ distutils-r1_src_test
+}